DmtIllegalStateException
Date: 2016-06-25

org.osgi.service.dmt

## Class DmtIllegalStateException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.osgi.service.dmt.DmtIllegalStateException

- All Implemented Interfaces:
    java.io.Serializable

      public class DmtIllegalStateException
      extends java.lang.RuntimeException

  Unchecked illegal state exception. This class is used in DMT because java.lang.IllegalStateException does not exist in CLDC.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DmtIllegalStateException()` Create an instance of the exception with no message.
    `DmtIllegalStateException(java.lang.String message)` Create an instance of the exception with the specified message.
    `DmtIllegalStateException(java.lang.String message, java.lang.Throwable cause)` Create an instance of the exception with the specified message and cause exception.
    `DmtIllegalStateException(java.lang.Throwable cause)` Create an instance of the exception with the specified cause exception and no message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DmtIllegalStateException

          public DmtIllegalStateException()

      Create an instance of the exception with no message.

    - #### DmtIllegalStateException

          public DmtIllegalStateException(java.lang.String message)

      Create an instance of the exception with the specified message.
      Parameters:
        `message` - the reason for the exception

    - #### DmtIllegalStateException

          public DmtIllegalStateException(java.lang.Throwable cause)

      Create an instance of the exception with the specified cause exception and no message.
      Parameters:
        `cause` - the cause of the exception

    - #### DmtIllegalStateException

          public DmtIllegalStateException(java.lang.String message,
                                  java.lang.Throwable cause)

      Create an instance of the exception with the specified message and cause exception.
      Parameters:
        `message` - the reason for the exception
        `cause` - the cause of the exception